On Debian and derivatives, the following packages are needed:

 subversion git ca-certificates wget unzip xz-utils cmake build-essential
 libsuitesparse-dev libboost-program-options-dev libboost-graph-dev
 libboost-regex-dev libboost-filesystem-dev libboost-system-dev
 libboost-thread-dev libboost-date-time-dev libboost-program-options-dev
 libzip-dev libann-dev libopencv-dev libgl1-mesa-dev freeglut3-dev libxmu-dev
 libeigen3-dev libtbb-dev libpcap-dev python python-numpy time

The script was tested successfully with Debian Stretch.

To run everything, execute:

    $ ./run.sh all

The following table should be printed in the end:

dataset     | underwood             | 3dtk
            | Ta  Tr    f1   t(s)   | VS     N    f1   t(s)
----------- | --------------------- | ------------------------
sim         | 1.4  0.10 0.98 23.96  |  0.600 8.03 0.98 6.67
lab         | 1.2  0.20 0.71 393.69 |  0.100 0.09 0.42 39.24
carpark     | 1.0  0.35 0.79 33.86  |  0.125 0.23 0.83 23.65
lecturehall | 0.8 30.00 0.96 894.73 | 10.000 0.00 0.96 230.10
----------- | --------------------- | ------------------------

     Ta:   angle threshold
     Tr:   range threshold
     f1:   f1-score
     t(s): runtime in seconds
     VS:   voxel size
     N:    percent of points for which the normal vector got calculated

System requirements:

 - 17.8 GiB of disk space
 - 7.8 GiB of free memory

On an Intel Core i5-5200U CPU @ 2.20GHz, the various stages of the script take
the following amount of time:

   compile: 33 minutes
   convert:  3 minutes
   eval:    31 minutes
